Bug 872517 - yum downloads metadata for user when not necessary
yum downloads metadata for user when not necessary
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: yum (Show other bugs)
5.9
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: packaging-team-maint
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-02 06:07 EDT by Karel Srot
Modified: 2014-01-21 01:25 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 872518 (view as bug list)
Environment:
Last Closed: 2013-03-08 08:51:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Karel Srot 2012-11-02 06:07:52 EDT
Description of problem:

when yum is executed by regular user, yum downloads metadata even if the "root" metadata are up-to-date.


[root@server ~]# rpm -q yum
yum-3.2.22-40.el5
[root@server ~]# yum list bash
Loaded plugins: product-id, security, subscription-manager
This system is not registered to Red Hat Subscription Management. You can use subscription-manager to register.
Excluding Packages in global exclude list
Finished
Installed Packages
bash.i386                                         3.2-32.el5                                         installed
[root@server ~]# su - karel
[karel@server ~]$ yum list bash
Loaded plugins: product-id, security, subscription-manager
beaker-client                                                                                           28/28
beaker-harness                                                                                          35/35
qa-tools                                                                                              193/193
rhel-5                                                                                              2518/2518
rhel-5-debug                                                                                        1022/1022
Excluding Packages in global exclude list
Finished
Installed Packages
bash.i386                                         3.2-32.el5                                         installed


Probably fixed upstream with 
http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=a5e26a78e485

http://yum.baseurl.org/gitweb?p=yum.git;a=commitdiff;h=a5e26a78e485
Comment 1 James Antill 2012-11-02 11:02:17 EDT
 This is true for RHEL-6, but I'm pretty sure there's a huge difference between what is in RHEL-5 and what is upstream ... so the changes required for RHEL-5 might be much more significant.
Comment 2 Zdeněk Pavlas 2013-03-08 08:51:46 EST
The upstream patch fixes breakage introduced when "prerepoconf" was merged, but that's not in EL5 code, so the cause is definitely different here (probably just a small bug, because preloading of metadata from system cache IS attemted here, too).  Given the low impact, I'm closing this bug.

Note You need to log in before you can comment on or make changes to this bug.